

//Miniview threshold in px
var MINIVIEW_TRESHOLD = 150;
var isFullView = false;
var miniviewContent = "N/A";
var fullviewContent = "N/A";
var doupdate = true;

window.onload = init;
window.onresize = resizing;

window.onoffline = function() 
{
	doupdate = false;
	update();
}
	
window.ononline = function() 
{
	doupdate = true;
	update();
}


function resizing()
{
    if (window.innerHeight < MINIVIEW_TRESHOLD) 
    {
        isFullView = false;
    }
    else 
    {
        isFullView = true;
    }
	setContent();
}


function getMain()
{
	return isFullView ? "maxiview" : "miniview";
}

function init()
{	
	resizing();
	document.getElementById(getMain()).innerHTML = "<strong></>Loading...</strong>";
	update();
}


function update()
{
	if (doupdate) 
	{
		// Will call viewContent as the result.
		getData("http://www.aqicn.info/?frame&symbian&miniview&city=Japan/%E5%8C%97%E4%B9%9D%E5%B7%9E%E5%B8%82%E9%96%80%E5%8F%B8%E5%8C%BA/%E6%9D%BE%E3%83%B6%E6%B1%9F%E8%A6%B3%E6%B8%AC%E5%B1%80&id=2393",0);
		setTimeout("update()", 1000 * 60 * 60);
	}
	else
	{
		document.getElementById(getMain()).innerHTML = 
			"<strong>Your phone data connection is currently set to offline</strong>";
	}
}

function showing()
{
	setContent();
}

function viewContent(content, id)
{
	if(content == null)
	{
		content = "This seems to take some time...";
	}
	
	if (id == 0)
	{
		miniviewContent = content;
		
		/* Fetch the second part */
		getData("http://www.aqicn.info/?frame&symbian&fullview&city=Japan/%E5%8C%97%E4%B9%9D%E5%B7%9E%E5%B8%82%E9%96%80%E5%8F%B8%E5%8C%BA/%E6%9D%BE%E3%83%B6%E6%B1%9F%E8%A6%B3%E6%B8%AC%E5%B1%80&id=2393",1);
	}
	else if (id == 1)
	{
		fullviewContent = content;
	}
	
	setContent();
}

function setContent()
{
	if (isFullView) 
	{
		document.getElementById("miniview").innerHTML = "";
		document.getElementById("maxiview").innerHTML = fullviewContent;
	}
	else 
	{
		document.getElementById("maxiview").innerHTML = "";
		document.getElementById("miniview").innerHTML = miniviewContent;
	}
}	
	
	